summaryrefslogtreecommitdiff
path: root/gcc/testsuite/ada
diff options
context:
space:
mode:
authorebotcazou <ebotcazou@138bc75d-0d04-0410-961f-82ee72b054a4>2006-01-23 17:21:18 +0000
committerebotcazou <ebotcazou@138bc75d-0d04-0410-961f-82ee72b054a4>2006-01-23 17:21:18 +0000
commit73a990eefde9cbdcc62942296c3163b779711005 (patch)
tree2b39e42457be9d84238d99bc7cc4298f4390caf2 /gcc/testsuite/ada
parent6a79adcb372f39d3005a02ad6266fe028c7bd039 (diff)
downloadgcc-73a990eefde9cbdcc62942296c3163b779711005.tar.gz
PR ada/20548
* ada/acats/norun.lst: Add c52103x, c52104x and c52104y. * ada/acats/stackcheck.lst: New file, add c52103x, c52104x and c52104y. * ada/acats/run_all.sh: Pass -fstack-check for tests in stackcheck.lst. git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@110131 138bc75d-0d04-0410-961f-82ee72b054a4
Diffstat (limited to 'gcc/testsuite/ada')
-rw-r--r--gcc/testsuite/ada/acats/norun.lst4
-rwxr-xr-xgcc/testsuite/ada/acats/run_all.sh4
-rw-r--r--gcc/testsuite/ada/acats/stackcheck.lst3
3 files changed, 11 insertions, 0 deletions
diff --git a/gcc/testsuite/ada/acats/norun.lst b/gcc/testsuite/ada/acats/norun.lst
index 049965b9986..522ff7b39d8 100644
--- a/gcc/testsuite/ada/acats/norun.lst
+++ b/gcc/testsuite/ada/acats/norun.lst
@@ -1,6 +1,10 @@
c380004
+c52103x
+c52104x
+c52104y
cdd2a03
templat
# Tests must be sorted in alphabetical order
# c380004: should be front-end compile time error, PR ada/18817
+# c52103x, c52104x, c52104y: -fstack-check doesn't work in 4.x, PR ada/20548
# cdd2a03: new Ada ruling not supported yet, PR ada/19323
diff --git a/gcc/testsuite/ada/acats/run_all.sh b/gcc/testsuite/ada/acats/run_all.sh
index 402ff69cb30..8a097936cf1 100755
--- a/gcc/testsuite/ada/acats/run_all.sh
+++ b/gcc/testsuite/ada/acats/run_all.sh
@@ -215,6 +215,10 @@ for chapter in $chapters; do
if [ $? -eq 0 ]; then
extraflags="$extraflags -gnatE"
fi
+ grep $i $testdir/stackcheck.lst > /dev/null 2>&1
+ if [ $? -eq 0 ]; then
+ extraflags="$extraflags -fstack-check"
+ fi
test=$dir/tests/$chapter/$i
mkdir $test && cd $test >> $dir/acats.log 2>&1
diff --git a/gcc/testsuite/ada/acats/stackcheck.lst b/gcc/testsuite/ada/acats/stackcheck.lst
new file mode 100644
index 00000000000..ba1cd67d534
--- /dev/null
+++ b/gcc/testsuite/ada/acats/stackcheck.lst
@@ -0,0 +1,3 @@
+c52103x
+c52104x
+c52104y